{% set NACIONALIDAD_ECUATORIANA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_NACIONALIDAD_ECUATORIANA') %}
{% set NIVELEDUCACION_NINGUNA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_NIVELEDUCACION_NINGUNA') %}
{% set ESTADONIVELEDUCACION_NINGUNA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_ESTADONIVELEDUCACION_NINGUNA') %}
{% set TIPOIDENTCEDULA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOIDENTCEDULA') %}
{% set TIPOIDENTNOIDENTIFICADO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOIDENTNOIDENTIFICADO') %}
{% set TIPOEMPRESA_NINGUNA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOEMPRESA_NINGUNA') %}
{% set PROFESION_NINGUNA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::PROFESION_NINGUNA') %}
{% set ETNIA_INDIGENA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_ETNIA_INDIGENA') %}
{% set ETNIA_NOAPLICA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_ETNIA_NOAPLICA') %}
{% set NACIONALIDADETNICA_KICHWA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_NACIONALIDADETNICA_KICHWA') %}
{% set SEGURO_SIN_RESPUESTA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_WS_SEGUROSALUD_SIN_RESPUESTA') %}
{% set NO_VALIDA_CEDULA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::NO_VALIDA_CEDULA') %}
{% set ANIO_EDAD_MAXIMO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::ANIO_EDAD_MAXIMO') %}
{% set ANIO_EDAD_REGISTRO_REPRESENTANTE=constant('HCUE\\PacienteBundle\\Entity\\Constantes::ANIO_EDAD_REGISTRO_REPRESENTANTE') %}
{% set REPRESENTANTE_NACIONAL=constant('HCUE\\PacienteBundle\\Entity\\Constantes::REPRESENTANTE_NACIONAL') %}
{% set REPRESENTANTE_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::REPRESENTANTE_EXTRANJERO') %}
{% set MINIMO_CARACTERES_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MINIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_NACIONAL=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_NACIONAL') %}
{% set DISCAPACIDAD_NOAPLICA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_WS_DISCAPACIDAD_NO_APLICA') %}
 {% if form.persona.children.foto_id.vars.value is not defined or form.persona.children.foto_id.vars.value is empty %}
     {% set foto_id=0 %}
 {% else %}
     {% set foto_id=form.persona.children.foto_id.vars.value %}
 {% endif %}

<script type="text/javascript">
    {{ include("HCUEPacienteBundle::paciente_functions.js.twig"|raw) }}
    /* Variables globales*/
    var modo = "{{ modo }}";
    var canton_id = "", parroquia_id = "", entidad_id="";
    var respuestawsregistrocivil = false;
    var eswebservis = false;
    var extranjero = false;
    var contadorTiporepresentante = 0;
    var valorTipoIdentificacion = "";
    mensajeexiste = (modo == "AGREGAR") ? false : true;
    carga = (modo == "EDITAR") ? true : false;
    var form = $("#formPaciente");
    var cantonnacimiento_id = "", parroquianacimiento_id = "";
    var tipoIdentificacion = $("#paciente_persona_cttipoidentificacion");
    var numeroIdentificacion = $("#paciente_persona_numeroidentificacion");
    var apellidoPaterno = $("#paciente_persona_apellidopaterno");
    var apellidoMaterno = $("#paciente_persona_apellidomaterno");
    var primerNombre = $("#paciente_persona_primernombre");
    var segundoNombre = $("#paciente_persona_segundonombre");
    var fechaNacimiento = $("#paciente_persona_fechanacimiento");
    var lugarNacimiento = $("#paciente_persona_lugarnacimiento");
    var barrio = $("#paciente_barrio");
    var estadocivil = $("#paciente_persona_ctestadocivil");
    var sexo = $("#paciente_persona_ctsexo");
    var nacionalidad = $("#paciente_persona_pais");
    var pais = $("#paciente_pais");
    var provincia = $("#paciente_provincia");
    var canton = $("#paciente_canton");
    var parroquia = $("#paciente_parroquia");

    var entidad = $("#paciente_entidad");
    var provinciaNacimiento = $("#paciente_persona_provincia");
    var cantonNacimiento = $("#paciente_persona_canton");
    var parroquiaNacimiento = $("#paciente_persona_parroquia");
    var discapacidad = $("#paciente_ctdiscapacidad");
    var porcentajediscapacidad = $("#paciente_porcentajediscapacidad");
    var tipodiscapacidad = $("#paciente_cttipodiscapacidad_id");
    var edadAnio = $("#paciente_persona_edadanio");
    var edadMes = $("#paciente_persona_edadmes");
    var edadDia = $("#paciente_persona_edaddia");
    var etnia = $("#paciente_ctetnia");
    var nacionalidadetnica = $("#paciente_ctnacionalidadetnica");
    var pueblo = $("#paciente_ctpueblo");
    var telefono = $("#paciente_telefono");
    var celular = $("#paciente_celular");
    var correo = $("#paciente_correo");
    var calleprincipal = $("#paciente_calleprincipal");
    var numero = $("#paciente_numero");
    var callesecundaria = $("#paciente_callesecundaria");
    var referenciaresidencia = $("#paciente_referenciaresidencia");
    var niveleducacion = $("#paciente_persona_ctniveleducacion");
    var estadoniveleducacion = $("#paciente_ctestadoniveleducacion");
    var tipoempresa = $("#paciente_cttipoempresatrabajo");
    var profesion = $("#paciente_profesion");
    var seguro = $("#paciente_cttiposegurosalud");
    var segurosecundario = $("#paciente_segurosaludsecundario");
    var bono = $("#paciente_cttipobono");
    var nombrecontacto = $("#paciente_nombrecontacto");
    var parentezco = $("#paciente_ctparentezcocontacto");
    var telefonocontacto = $("#paciente_telefonocontacto");
    var direccioncontacto = $("#paciente_direccioncontacto");
    var existe_paciente = false;
    var formatofecha = "dd-mm-yyyy";
    var calcularfecha = true;
    var validator = null;
    var nacionalidad_ecuatoriana = parseInt('{{ NACIONALIDAD_ECUATORIANA }}');


    function cargarDatos() {
        if (numeroIdentificacion.valid()) {
            var value = numeroIdentificacion.val();
            wsregistrocivil(value);
            wsdiscapacidad(value);
            wsseguros(value);
        }
    }

    function recargarDatos() {
        $.processWait.show();
        cargarDatos();
        $.processWait.hide();
    }

    /*Metodo que llena los valores devueltos por el webservis del registro civil*/
    /**
     * @param data.condicioncedulado
     * @param data.webservis
     * @param data.apellidopaterno
     * @param data.apellidomaterno
     * @param data.primernombre
     * @param data.segundonombre
     * @param data.fechanacimiento
     * @param data.provincianacimiento
     * @param data.cantonnacimiento
     * @param data.parroquianacimiento
     * @param data.anormal
     * @param data.extranjero
     * @param data.disablednacionalidad
     * */
    function wsregistrocivil(cedula) {
        var idIcono = numeroIdentificacion;
        eswebservis = true;
        if (modo == "EDITAR") {
            idIcono = $("#webservis");
        }
        idIcono.after("<i id='load_webservis' class='fa fa-spinner fa-spin orange bigger-110' style='display:none'></i>");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            async: false,
            url: "{{ path('hcue_paciente_paciente_wsregistrocivil') }}/" + cedula,
        }).done(function (json) {
            if (json.type != 'noexiste') {
                data = json.data;
                if (json.type == 'webservice') {
                    if (data.condicioncedulado == "FALLECIDO" || data.condicioncedulado == "EXTRANJERO FALLECIDO") {
                        $.alert("La persona ya esta fallecida");
                    }
                    else {
                        habilitarCampos(false);
                        respuestawsregistrocivil = data.webservis;
                        if (respuestawsregistrocivil) {
                            habilitarCamposWebServis(true);
                            habilitarUbicacionNacimiento(true);
                        } else {
                            habilitarCamposWebServis(false);
                            habilitarUbicacionNacimiento(false);
                        }

                        if (data.anormal) {
                            $.alert('Paciente con nombre compuesto, por favor verificar la información', 'info');
                            apellidoPaterno.removeAttr('disabled').val(data.nombrecompleto);
                            apellidoMaterno.removeAttr('disabled').val('');
                            primerNombre.removeAttr('disabled').val('');
                            segundoNombre.removeAttr('disabled').val('');
                        }
                        else {
                            apellidoPaterno.attr('disabled', true).val(data.apellidopaterno);
                            apellidoMaterno.attr('disabled', true).val(data.apellidomaterno);
                            primerNombre.attr('disabled', true).val(data.primernombre);
                            segundoNombre.attr('disabled', true).val(data.segundonombre);
                        }

                        fechaNacimiento.val(data.fechanacimiento).change();
                        estadocivil.val(data.estadocivil);
                        sexo.val(data.sexo);
                        extranjero = data.extranjero;
                        nacionalidad.val(data.nacionalidad).attr('disabled', data.disablednacionalidad).trigger("chosen:updated").change(); //ECUATORIOANO
                        if (!extranjero) {
                            pais.val(nacionalidad_ecuatoriana).trigger("chosen:updated").change();
                            provinciaNacimiento.val(data.provincianacimiento).trigger("chosen:updated").change();
                            cantonnacimiento_id = data.cantonnacimiento;
                            parroquianacimiento_id = data.parroquianacimiento;
                            if (data.provincianacimiento == "") {
                                provinciaNacimiento.removeAttr("disabled")
                                    .trigger("chosen:updated")
                                    .attr("required", "required")
                                    .prev('label').append('<i style="color:red" class="asterisk">*</i>');
                            }
                            if (cantonnacimiento_id == "") {
                                cantonNacimiento.removeAttr("disabled")
                                    .trigger("chosen:updated")
                                    .attr("required", "required")
                                    .prev('label').append('<i style="color:red" class="asterisk">*</i>');
                            }
                            if (parroquianacimiento_id == "") {
                                parroquiaNacimiento.removeAttr("disabled")
                                    .attr("required", "required")
                                    .prev('label').append('<i style="color:red" class="asterisk">*</i>');

                            }
                        }
                        lugarNacimiento.val(data.lugarnacimiento);
                        if ( !data.lugarnacimiento || data.lugarnacimiento.trim() == "" || data.lugarnacimiento == undefined) {
                            lugarNacimiento.removeAttr("disabled").val('');
                        }
                    }
                }
            }
            else {
                respuestawsregistrocivil = false;
                habilitarCamposWebServis(false);
                if (modo == "AGREGAR") {
                    habilitarUbicacionNacimiento(false);
                }
                habilitarCampos(false);
            }
        });
    }

    function cargarFoto() {
        if (tipoIdentificacion.val() == parseInt('{{ TIPOIDENTCEDULA }}')) {
            var src = '{{ path('coreapp_archivo_fotoregistrocivil') }}/' + numeroIdentificacion.val();
            $("#persona_foto").attr("src", src);
        }
    }

    function limpiarVariables() {
        cantonnacimiento_id = "";
        parroquianacimiento_id = "";
        porcentajediscapacidad.val("");
        tipodiscapacidad.val("");
        $("#persona_foto").attr("src", '{{ asset('bundles/coregui/app/images/fotodefault.png') }}');
    }

    /**
     * Metodo que llena el seguro devuelto por el webservis del iees,isspol,issfa
     * @param json.status
     * @param json.seguro_id
     **/
    function wsseguros(cedula) {
        eswebservis = true;
        $.ajax({
            type: 'GET',
            dataType: 'json',
            async: false,
            url: "{{ path('hcue_paciente_paciente_wsseguros') }}/" + cedula,
            success: function (json) {
                if (json.status) {
                    (json.seguro_id == parseInt('{{ SEGURO_SIN_RESPUESTA }}'))
                        ? seguro.attr("disabled", false) : seguro.val(json.seguro_id);
                }
                else {
                    seguro.attr("disabled", false);
                }
            }
        });

    }

    /**
     * Metodo que llena la discapacidad devuelta por el webservis de discapacidad
     * @param json.status
     * @param data.discapacidad
     * @param data.porcentaje
     * @param data.tipodiscapacidad
     * @param data.tipodiscapacidad_id
     **/
    function wsdiscapacidad(cedula) {
        eswebservis = true;
        $.ajax({
            type: 'GET',
            dataType: 'json',
            async: false,
            url: "{{ path('hcue_paciente_paciente_wsdiscapacidad') }}/" + cedula,
            success: function (json) {
                if (json.status) {
                    var data = json.data;
                    if (data.webservis) {
                        discapacidad.val(data.discapacidad);
                        if (data.porcentaje > 0) {
                            $('#div_porcentaje').empty();
                            discapacidad.after('<div id="div_porcentaje" ><strong>Porcentaje de Discapacidad: ' + data.porcentaje + '% - ' + data.tipodiscapacidad + '</strong></div>');
                            porcentajediscapacidad.val(data.porcentaje);
                            tipodiscapacidad.val(data.tipodiscapacidad_id);
                        }
                        else {
                            $("#div_porcentaje").remove();
                            limpiarPorcentajediscapacidad();
                        }
                    } else {
                        discapacidad.val(data.discapacidad);
                        limpiarPorcentajediscapacidad();
                    }
                }
                else {
                    discapacidad.val(json.data.discapacidad);
                    limpiarPorcentajediscapacidad();
                }
            }
        });
    }

    function limpiarPorcentajediscapacidad() {
        $("#div_porcentaje").remove();
        porcentajediscapacidad.val('');
        tipodiscapacidad.val('');
    }

    /*Si el paciente es Ecuatoriano habilita y valida que se ingresen los campos
     * provincia, canton y parroquia de nacimiento*/
    function onchangeNacionalidad() {
        nacionalidad.on('change', function () {
            if ($(this).val() == nacionalidad_ecuatoriana && !extranjero && !respuestawsregistrocivil) {

                $("#paciente_persona_provincia, #paciente_persona_canton, #paciente_persona_parroquia")
                    .attr("required", "required").removeAttr("disabled").trigger("chosen:updated").prev('label').append('<i style="color:red" class="asterisk">*</i>');

                if($("#paciente_persona_parroquia").val()!="" && tipoIdentificacion.val() == parseInt('{{ TIPOIDENTCEDULA }}')){
                    $("#paciente_persona_provincia, #paciente_persona_canton, #paciente_persona_parroquia").attr("disabled", true);
                }

                (pais.val()=="" || pais.val()==null) ? pais.val(nacionalidad_ecuatoriana).trigger("chosen:updated").change()
                    : pais.change();

                etnia.removeAttr("disabled");
                lugarNacimiento.attr("disabled", "true").prev('label').find('i').remove();
                if (!carga) {
                    etnia.val("");
                    lugarNacimiento.val("");
                }
                if (tipoIdentificacion.val() != parseInt('{{ TIPOIDENTCEDULA }}') && !carga) {
                    $("#paciente_persona_provincia, #paciente_persona_canton, #paciente_persona_parroquia, #paciente_persona_lugarnacimiento")
                        .val("").trigger("chosen:updated");
                }
            } else if ($(this).val() != nacionalidad_ecuatoriana) {

                $("#paciente_persona_provincia, #paciente_persona_canton, #paciente_persona_parroquia")
                    .removeAttr("required").attr("disabled", true).val("").trigger("chosen:updated").prev('label').find('i').remove();

                (pais.val()=="" || pais.val()==null) ? pais.val("").trigger("chosen:updated").change()
                    : pais.change();

                lugarNacimiento.prev('label').find('i').remove();
                lugarNacimiento.prev('label').append('<i style="color:red" class="asterisk">*</i>');
                if (tipoIdentificacion.val() != parseInt('{{ TIPOIDENTCEDULA }}') && tipoIdentificacion.val() != "" || !respuestawsregistrocivil) {
                    lugarNacimiento.removeAttr("disabled");
                    if (!carga) {
                        lugarNacimiento.val("");
                    }
                }
                etnia.val('{{ ETNIA_NOAPLICA }}').attr("disabled", "true").change();
                if (validator) {
                    etnia.valid()
                }
            }

            $("#paciente_persona_provincia, #paciente_persona_canton, #paciente_persona_parroquia, #paciente_persona_lugarnacimiento").parents('div').removeClass("has-error").find('.help-block').remove();

        });
    }

    /*Si el paciente reside en ECUADOR habilta y valida que se ingresen los campos
     * provincia, canton y parroquia de residencia*/
    function onchangePais() {
        pais.on('change', function () {
            if ($(this).val() == nacionalidad_ecuatoriana) {
                $("#paciente_provincia, #paciente_canton, #paciente_parroquia")
                    .attr("required", "required").removeAttr("disabled").trigger("chosen:updated").prev('label').append('<i style="color:red" class="asterisk">*</i>');
            } else {
                $("#paciente_provincia, #paciente_canton, #paciente_parroquia")
                    .removeAttr("required").attr("disabled", true).val("").trigger("chosen:updated").prev('label').find('i').remove();
            }

            $("#paciente_provincia, #paciente_canton, #paciente_parroquia").parents('div').removeClass("has-error").find('.help-block').remove();
        });
    }

    /*Si el nivel de educacion es ninguna el estado de nivel de eduacion sera ninguna*/
    function onchangeNivelEducacion() {
        niveleducacion.on('change', function () {
            if ($(this).val() == '{{ NIVELEDUCACION_NINGUNA }}') {
                estadoniveleducacion.attr("disabled", true).val('{{ ESTADONIVELEDUCACION_NINGUNA }}');
                if (validator) {
                    estadoniveleducacion.valid();
                }
            } else {
                estadoniveleducacion.removeAttr('disabled');
            }
        });
    }

    /*Si el paciente es menor a 5 años valida que el
     * campo numerorepresentante sea obligatorio*/
    /* Asigna la fecha de nacimiento a partir de la edad*/
    function onchangeEdad() {
        edadAnio.on('change', function () {
            var meses = 0;
            var dias = 0;
            var anio = $(this).val();
            if (anio > parseInt('{{ ANIO_EDAD_MAXIMO }}')) {
                $(this).val("");
                $.alert("El año no puede ser mayor a {{ ANIO_EDAD_MAXIMO }}", "danger");
            } else {
                var ANIO_EDAD_REGISTRO_REPRESENTANTE = parseInt('{{ ANIO_EDAD_REGISTRO_REPRESENTANTE }}');
                if (calcularfecha) {
                    var fecha = $.getBirthDate(anio, meses, dias);
                    var fechaf = [
                        ("0" + fecha.getDate()).slice(-2)
                        , ("0" + fecha.getMonth()).slice(-2)
                        , fecha.getYear() + 1900
                    ].join('-');
                    edadMes.val(0);
                    edadDia.val(0);
                    fechaNacimiento.val(fechaf);
                }
                if (anio == undefined || anio == "") {
                    fechaNacimiento.val("");
                    $("#tabDatosMadre").css("display","none");
                    clearAllMadrepcte(true);
                } else if (anio < ANIO_EDAD_REGISTRO_REPRESENTANTE && anio != "") {
                    $("#tabDatosMadre").css("display","table-cell");
                    $("#paciente_profesion").val('{{ PROFESION_NINGUNA }}').trigger("chosen:updated").valid();
                    $("#paciente_persona_ctniveleducacion").val('{{ NIVELEDUCACION_NINGUNA }}').change().valid();
                    $("#paciente_cttipoempresatrabajo").val('{{ TIPOEMPRESA_NINGUNA }}').valid();
                    $("#formPaciente").inputAlphanumForm();
                    clearAllMadrepcte(false);
                } else if (anio >= ANIO_EDAD_REGISTRO_REPRESENTANTE) {
                    $("#tabDatosMadre").css("display","none");
                    clearAllMadrepcte(true);
                    if (!carga && modo == "AGREGAR") {
                        profesion.val("").trigger("chosen:updated");
                        niveleducacion.val("").change();
                        tipoempresa.val("");
                    }
                }
            }
        });
    }
    
    function clearAllMadrepcte(bolean) {
        if (bolean) {
            $("#paciente_madrepcte_persona_cttipoidentificacion").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_numeroidentificacion").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_apellidopaterno").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_apellidomaterno").val("").removeAttr("name");
            $("#paciente_madrepcte_persona_primernombre").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_segundonombre").val("").removeAttr("name");
            $("#paciente_madrepcte_persona_ctestadocivil").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_ctsexo").val("").removeAttr("name required aria-required").removeClass("required");

            $("#paciente_madrepcte_numerotelefonico").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_direcciondomicilio").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_ctniveleducacion").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_ctetnia").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_recibebono").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_ctparentescomadre").val("").removeAttr("name required aria-required").removeClass("required");

            $("#paciente_madrepcte_persona_pais").val("").trigger("chosen:updated").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_provincia").val("").trigger("chosen:updated").removeAttr("name");
            $("#paciente_madrepcte_persona_canton").val("").trigger("chosen:updated").removeAttr("name");
            $("#paciente_madrepcte_persona_parroquia").val("").trigger("chosen:updated").removeAttr("name");
            $("#paciente_madrepcte_persona_lugarnacimiento").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_fechanacimiento").val("").removeAttr("name required aria-required").removeClass("required");
            $("#paciente_madrepcte_persona_madre_paciente_id").val("").removeAttr("name required aria-required").removeClass("required");

        }else{
            $("#paciente_madrepcte_persona_cttipoidentificacion").attr({"name":"paciente[madrepcte][persona][cttipoidentificacion]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_numeroidentificacion").attr({"name":"paciente[madrepcte][persona][numeroidentificacion]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_apellidopaterno").attr({"name":"paciente[madrepcte][persona][apellidopaterno]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_apellidomaterno").attr("name", "paciente[madrepcte][persona][apellidomaterno]");
            $("#paciente_madrepcte_persona_primernombre").attr({"name":"paciente[madrepcte][persona][primernombre]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_segundonombre").attr("name", "paciente[madrepcte][persona][segundonombre]");
            $("#paciente_madrepcte_persona_ctestadocivil").attr({"name":"paciente[madrepcte][persona][ctestadocivil]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_ctsexo").attr({"name":"paciente[madrepcte][persona][ctsexo]", "required":true, "aria-required":true}).addClass("required");

            $("#paciente_madrepcte_numerotelefonico").attr({"name":"paciente[madrepcte][numerotelefonico]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_direcciondomicilio").attr({"name":"paciente[madrepcte][direcciondomicilio]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_ctniveleducacion").attr({"name":"paciente[madrepcte][persona][ctniveleducacion]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_ctetnia").attr({"name":"paciente[madrepcte][ctetnia]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_recibebono").attr({"name":"paciente[madrepcte][recibebono]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_ctparentescomadre").attr({"name":"paciente[ctparentescomadre]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_madre_paciente_id").attr({"name":"paciente[madrepcte][persona_madre_paciente_id]"});

            $("#paciente_madrepcte_persona_pais").trigger("chosen:updated").attr({"name":"paciente[madrepcte][persona][pais]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_provincia").trigger("chosen:updated").attr("name", "paciente[madrepcte][persona][provincia]");
            $("#paciente_madrepcte_persona_canton").trigger("chosen:updated").attr("name", "paciente[madrepcte][persona][canton]");
            $("#paciente_madrepcte_persona_parroquia").trigger("chosen:updated").attr("name", "paciente[madrepcte][persona][parroquia]");
            $("#paciente_madrepcte_persona_lugarnacimiento").attr({"name":"paciente[madrepcte][persona][lugarnacimiento]", "required":true, "aria-required":true}).addClass("required");
            $("#paciente_madrepcte_persona_fechanacimiento").attr({"name":"paciente[madrepcte][persona][fechanacimiento]", "required":true, "aria-required":true}).addClass("required");
        }
    }

    /* Asigna la edad en años, meses y dias de la fecha de nacimiento*/
    function onchangeFechaNacimiento() {
        fechaNacimiento.on('change', function () {
            calculoEdad($(this).val());
        });
    }

    function calculoEdad(fecha) {
        if ($.validDate(fecha, formatofecha)) {
            var edad = $.getAge(fecha, formatofecha);
            calcularfecha = false;
            edadAnio.val(edad.anios).change(); //genera un onchange
            edadMes.val(edad.meses); //meses
            edadDia.val(edad.dias); //dias
            calcularfecha = true;
            if (validator) {
                fechaNacimiento.valid();
            }
        } else {
            edadAnio.val("");
            edadMes.val("");
            edadDia.val("");
        }
    }
    /*Si la cedula del representante es nueve (9) no valida la cedula*/
    function onchangeNumeroRepresentante() {
        var numeroRepresentante = $("#paciente_numerorepresentante");
        numeroRepresentante.on('change', function () {
            if (numeroRepresentante.val() == parseInt('{{ NO_VALIDA_CEDULA }}')) {
                numeroRepresentante.removeClass("cedula");
            }
        });
    }

    /*Valida el campo numero de identificacion deacuerdo a lo que se
     * escoja en tipo de identificación*/
    function onchangeTipoIdentificacion() {
        tipoIdentificacion.on('change', function () {
            var campos = true, noidentificado = false;
            respuestawsregistrocivil = false;
            eswebservis = false;
            limpiarVariables();
            lugarNacimiento.attr('disabled',true);

            if (valorTipoIdentificacion == parseInt('{{ TIPOIDENTCEDULA }}')) {
                limpiarCamposWebServis();
            }
            valorTipoIdentificacion = $(this).val();
            if (valorTipoIdentificacion == parseInt('{{ TIPOIDENTCEDULA }}')) {
                numeroIdentificacion.removeClass("upper")
                    .removeClass("alphanumeric")
                    .removeAttr("required minlength")
                    .attr("maxlength", '{{ MAXIMO_CARACTERES_NACIONAL }}')
                    .attr("disabled", false)
                    .addClass("numeric cedula")
                    .attr("placeholder", "Número Identificación")
                    .attr("required", "required")
                    .val('');
            } else if (valorTipoIdentificacion == parseInt('{{ TIPOIDENTNOIDENTIFICADO }}')) {
                numeroIdentificacion.attr("placeholder", "Se genera automáticamente")
                    .attr("disabled", true)
                    .val('')
                    .removeAttr("required")
                    .removeClass("required")
                    .removeClass("existe_paciente");
                respuestawsregistrocivil = false;
                campos = false;
                noidentificado = true;
            } else if (valorTipoIdentificacion > 0) {
                numeroIdentificacion.removeClass("cedula")
                    .removeClass("numeric")
                    .addClass("upper")
                    .addClass("alphanumeric")
                    .attr("maxlength", '{{ MAXIMO_CARACTERES_EXTRANJERO }}')
                    .attr("minlength", '{{ MINIMO_CARACTERES_EXTRANJERO }}')
                    .attr("disabled", false)
                    .attr("placeholder", "Número Identificación")
                    .val('')
                    .attr("required", "required");
            } else {
                numeroIdentificacion
                    .attr("disabled", true)
                    .attr("placeholder", "Número Identificación")
                    .val('')
                    .attr("required", "required");
            }

            numeroIdentificacion.unbind().focus();
            form.initInputsForm();
            if (modo == "AGREGAR") {
                limpiarAll(campos);
                habilitarUbicacionNacimiento(campos, noidentificado);
            }
            onchangeNumeroIdentificacion();
            keyupNumeroIdentificacion();
            keyupCedula();
        });
    }

    function limpiarCamposWebServis() {
        apellidoPaterno.val("");
        apellidoMaterno.val("");
        primerNombre.val("");
        segundoNombre.val("");
        edadAnio.val("").change();
        fechaNacimiento.val("");
        estadocivil.val("");
        sexo.val("");
        nacionalidad.val("").trigger("chosen:updated");
        provinciaNacimiento.val("").trigger("chosen:updated");
        cantonNacimiento.val("").trigger("chosen:updated");
        parroquiaNacimiento.val("").trigger("chosen:updated");
        lugarNacimiento.val('');
        seguro.val('');
    }

    function habilitarCamposWebServis(boleano) {
        apellidoPaterno.attr("disabled", boleano);
        apellidoMaterno.attr("disabled", boleano);
        primerNombre.attr("disabled", boleano);
        segundoNombre.attr("disabled", boleano);
        edadAnio.attr("disabled", boleano);
        fechaNacimiento.attr("disabled", boleano);
        sexo.attr("disabled", boleano);
        nacionalidad.attr("disabled", boleano).trigger("chosen:updated");
//        discapacidad.attr("disabled", boleano);
        seguro.attr("disabled", boleano);
        estadocivil.attr("disabled", boleano);
        lugarNacimiento.attr("disabled",boleano);
    }

    function habilitarUbicacionNacimiento(boleano, noidentificado) {
        provinciaNacimiento.attr("disabled", boleano).trigger("chosen:updated");
        cantonNacimiento.attr("disabled", boleano).trigger("chosen:updated");
        parroquiaNacimiento.attr("disabled", boleano).trigger("chosen:updated");
        lugarNacimiento.val('');

        if (noidentificado) {
            provinciaNacimiento.attr("required", "required").prev('label').append('<i style="color:red" class="asterisk">*</i>');
            cantonNacimiento.attr("required", "required").prev('label').append('<i style="color:red" class="asterisk">*</i>');
            parroquiaNacimiento.attr("required", "required").prev('label').append('<i style="color:red" class="asterisk">*</i>');
            nacionalidad.val('{{ NACIONALIDAD_ECUATORIANA }}').trigger("chosen:updated");
            lugarNacimiento.prev('label').find('i').remove();
        }
        else {
            provinciaNacimiento.removeAttr("required").prev('label').find('i').remove();
            cantonNacimiento.removeAttr("required").prev('label').find('i').remove();
            parroquiaNacimiento.removeAttr("required").prev('label').find('i').remove();
            nacionalidad.val('').trigger("chosen:updated");
            lugarNacimiento.prev('label').find('i').replaceWith('<i style="color:red" class="asterisk">*</i>');
        }

    }

    function habilitarCampos(boleano) {
        telefono.attr("disabled", boleano);
        celular.attr("disabled", boleano);
        correo.attr("disabled", boleano);
        calleprincipal.attr("disabled", boleano);
        numero.attr("disabled", boleano);
        callesecundaria.attr("disabled", boleano);
        barrio.attr("disabled", boleano);
        referenciaresidencia.attr("disabled", boleano);
        nombrecontacto.attr("disabled", boleano);
        telefonocontacto.attr("disabled", boleano);
        direccioncontacto.attr("disabled", boleano);
        porcentajediscapacidad.attr("disabled", boleano);
        pais.attr("disabled", boleano).trigger("chosen:updated");
        provincia.attr("disabled", boleano).trigger("chosen:updated");
        canton.attr("disabled", boleano).trigger("chosen:updated");
        parroquia.attr("disabled", boleano).trigger("chosen:updated");
        etnia.attr("disabled", boleano);
        niveleducacion.attr("disabled", boleano);
        estadoniveleducacion.attr("disabled", boleano);
        tipoempresa.attr("disabled", boleano);
        profesion.attr("disabled", boleano).trigger("chosen:updated");
        segurosecundario.attr("disabled", boleano);
        bono.attr("disabled", boleano);
        parentezco.attr("disabled", boleano);
        if (validator) {
            validator.resetForm();
        }
        if (modo != "EDITAR") {
            $('#div_porcentaje').remove();
        }
        $(".has-error").removeClass("has-error");
    }

    /*Habilita los campos necesarios */
    function keyupNumeroIdentificacion() {
        numeroIdentificacion.keyup(function () {
            existe_paciente = false;
        });
    }

    function onchangeParroquia() {
        parroquia.change(function () {
            calleprincipal.val("");
            callesecundaria.val("");
            numero.val("");
            barrio.val("");
            referenciaresidencia.val("");
        });
    }

    function onchangeNumeroIdentificacion() {
        numeroIdentificacion.blur(function () {
            if ($(this).valid()) {
                $.processWait.show();
                existePaciente($(this).val());
                $.processWait.hide();
            }
        });
    }

    function keyupCedula() {
        numeroIdentificacion.keyup(function () {
            if (tipoIdentificacion.val() == parseInt('{{ TIPOIDENTCEDULA }}')) {
                if (numeroIdentificacion.length < parseInt('{{ MAXIMO_CARACTERES_NACIONAL }}')) {
                    limpiarCamposWebServis();
                    limpiarVariables();
                }
            }
        });
    }

    /* Habilita el campo nacionalidad etnica si es indigena */
    function onchangeEtnia() {
        etnia.on('change', function () {
            $(this).val() == parseInt('{{ ETNIA_INDIGENA }}')
                ? nacionalidadetnica.attr("disabled", false).addClass("required")
                : nacionalidadetnica.attr("disabled", true).removeClass("required")
        });
    }

    function disabledPueblo() {
        (nacionalidadetnica.val() == parseInt('{{ NACIONALIDADETNICA_KICHWA }}'))
            ? pueblo.attr("disabled", false).addClass("required")
            : pueblo.attr("disabled", true).removeClass("required");
    }

    /* Habilita el campo pueblo si nacionalidad etnica es kichwa */
    function onchangeNacionalidadEtnica() {
        nacionalidadetnica.on('change', function () {
            disabledPueblo();
        });
    }

    function splitTotext(arraytext) {
        delete arraytext[0];
        var text = arraytext.join();

        return text.substr(1, text.length).replace(/,/g, " ");
    }

    function obtenerLugarNacimiento() {
        if (!respuestawsregistrocivil) {
            var textprovincia = $("option:selected", provinciaNacimiento).text().split(" ");
            var textcanton = $("option:selected", cantonNacimiento).text().split(" ");
            var textparroquia = $("option:selected", parroquiaNacimiento).text().split(" ");
            var resultado = (splitTotext(textprovincia) + '/' + splitTotext(textcanton) + '/' + splitTotext(textparroquia)).replace('/--Seleccione--', "");
            lugarNacimiento.val(resultado);
        }
    }

    function llenarLugarNacimiento() {
        $("#paciente_persona_parroquia,#paciente_persona_provincia,#paciente_persona_canton").change(obtenerLugarNacimiento);
    }

    function existePaciente(identificacion) {
        if (identificacion.length == 0 || identificacion == undefined)
            return;
        $.ajax({
            type: 'GET',
            dataType: 'json',
            async: false,
            url: "{{ path('hcue_paciente_paciente_existepaciente') }}/" + identificacion + "/" + parseInt("{{ persona_id }}"),
            success: function (json) {
                if (json == 1) {
                    existe_paciente = true;
                    $.confirm("El paciente ya existe. ¿Desea consultar sus datos?", function (result) {
                        if (result) {
                            $.loadModalViewer({
                                url: "{{ path('hcue_paciente_paciente_show') }}/" + identificacion + "/" + true,
                                title: 'Datos del Paciente',
                                width: '90%',
                                height: '100%',
                            });
                        }
                    })
                } else {
                    if (tipoIdentificacion.val() == parseInt('{{ TIPOIDENTCEDULA }}')) {
                        cargarDatos();
                        cargarFoto();
                    } else {
                        habilitarCampos(false);
                        habilitarCamposWebServis(false);
                        habilitarUbicacionNacimiento(false);
                    }
                }
            },
        });
    }

    function ajustarBotones() {
        var btnConfirmar = $("#btnconfirmar");
        var btnConfirmarNuevo = $("#btnconfirmarnuevo");
        var btnLimpiar = $("#btnlimpiar");
        var btnNuevo = $("#btnnuevo");
        var btnRegresar = $("#btnregresar");
        if (screen.width <= 402) {
            btnConfirmar.addClass("btn-xs");
            btnConfirmarNuevo.addClass("btn-xs");
            btnLimpiar.addClass("btn-xs");
            btnNuevo.addClass("btn-xs");
            btnRegresar.addClass("btn-xs");
        } else if (screen.width <= 893) {
            btnConfirmar.addClass("btn-sm");
            btnConfirmarNuevo.addClass("btn-sm");
            btnLimpiar.addClass("btn-sm");
            btnNuevo.addClass("btn-sm");
            btnRegresar.addClass("btn-sm");
        }
    }

    function limpiarAll(campos) {
        $('#div_porcentaje').empty();
        $('#divrepresentante').html('');
        porcentajediscapacidad.val("");
        tipodiscapacidad.val("");
        discapacidad.val('{{ DISCAPACIDAD_NOAPLICA }}');
        $(".has-error").removeClass("has-error");
        if (modo == "AGREGAR") {
            $('.chosen-select').val('').trigger("chosen:updated");
            $('.chosen-container').addClass('chosen-disabled');
        }
        habilitarCampos(campos);
        habilitarCamposWebServis(campos);
    }

    function validaTelefonoCelular(){
        if (telefono.val() == '' && celular.val() == '') {
            $("ul li.active").removeAttr("class");
            $("#home-head").attr("class","active");
            $("div.tab-content div.active").attr("class","tab-pane fade in");
            $("#home").attr("class","tab-pane fade in active");
            $.alert("Por favor ingrese al menos uno de los campos: Teléfono / Celular");
            return false;
        } else {
            return true;
        }
    }

    $(function () {

        form.initInputsForm().validationForm({}, {}, function () {
            validator = form.validate();
            jQuery.validator.addMethod("existe_paciente", function (value, element) {
                return !existe_paciente;
            }, "El paciente ya se encuentra registrado");
        });

        ajustarBotones();
        initInputFile();
        keyupCedula();
        keyupNumeroIdentificacion();
        onchangeNacionalidad();
        onchangePais();
        onchangeNivelEducacion();
        onchangeEtnia();
        onchangeNacionalidadEtnica();
        onchangeEdad();
        onchangeFechaNacimiento();
        onchangeParroquia();
        onchangeTipoIdentificacion();
        onchangeNumeroIdentificacion();
        llenarLugarNacimiento();

        /*Combos cascacadas */
        cantonNacimiento.cascadeCombobox({
            parents_id: 'paciente_persona_provincia',
            urlLoad: "{{ path('hcue_paciente_paciente_cantoncombobox') }}",
            onLoad: function () {
                cantonNacimiento.val(cantonnacimiento_id).trigger("chosen:updated");
            }
        });
        parroquiaNacimiento.cascadeCombobox({
            parents_id: 'paciente_persona_canton',
            urlLoad: "{{ path('hcue_paciente_paciente_parroquiacombobox') }}",
            onLoad: function () {
                parroquiaNacimiento.val(parroquianacimiento_id).trigger("chosen:updated")
            }
        });
        canton.cascadeCombobox({
            parents_id: 'paciente_provincia',
            urlLoad: "{{ path('hcue_paciente_paciente_cantoncombobox') }}",
            onLoad: function () {
                canton.val(canton_id).trigger("chosen:updated");
            }

        });
        parroquia.cascadeCombobox({
            parents_id: 'paciente_canton',
            urlLoad: "{{ path('hcue_paciente_paciente_parroquiacombobox') }}",
            onLoad: function () {
                parroquia.val(parroquia_id).trigger("chosen:updated");
            }
        });

        entidad.cascadeCombobox({
            parents_id: 'paciente_parroquia',
            urlLoad: "{{ path('hcue_paciente_paciente_entidadcombobox') }}",
            onLoad: function () {
                entidad.val(entidad_id).trigger("chosen:updated");
            }
        });

        nacionalidadetnica.cascadeCombobox({
            parents_id: 'paciente_ctetnia',
            urlLoad: "{{ path('hcue_paciente_paciente_nacindigenacombobox') }}"
        });
        pueblo.cascadeCombobox({
            parents_id: 'paciente_ctnacionalidadetnica',
            urlLoad: "{{ path('hcue_paciente_paciente_puebloscombobox') }}"
        });

        if (modo == "EDITAR") {
            carga = true;
            habilitarCampos(false);
            if (nacionalidad.val() == parseInt('{{ NACIONALIDAD_ECUATORIANA }}') && provinciaNacimiento.val() == '') {
                extranjero = true;
            }
            nacionalidad.change();
            if (nacionalidadetnica.val() > 0) {
                disabledPueblo();
            }
            niveleducacion.change();
            if (tipoIdentificacion.val() != parseInt('{{ TIPOIDENTCEDULA }}') && tipoIdentificacion.val() != "") {
                habilitarCamposWebServis(false);
                if (nacionalidad.val() == parseInt('{{ NACIONALIDAD_ECUATORIANA }}')) {
                    habilitarCamposWebServis(false);
                }
            }
            if (tipoIdentificacion.val() == parseInt('{{ TIPOIDENTCEDULA }}') && parseInt('{{ foto_id }}') == 0) {
                cargarFoto();
            }

            {% if paciente is defined%}
                var poractualizar = "{{ paciente.poractualizar }}";
                if (poractualizar==1 && tipoIdentificacion.val()==parseInt('{{ TIPOIDENTCEDULA }}')) {
                    wsseguros(numeroIdentificacion.val());
                }

                var alivePcte = parseInt("{{ paciente.persona.estado }}");
                if(!alivePcte){
                    $("#btnconfirmar").attr('disabled', true);
                    $("#btnconfirmarnuevo").attr('disabled', true);
                    $.gritter.add({
                        title: 'Advertencia!',
                        text: 'La persona ya está fallecida.',
                        time: 5000,
                        class_name: 'gritter-error gritter-light'
                    });
                }
            {% endif %}

/*            $('#tabpcte a').click(function(){
                if(!parroquiaNacimiento.val() && tipoIdentificacion.val()==parseInt('') ){
                    var menuaux=$(this).attr("href");
                    if(menuaux=="#menu1"){
                        $.alert("Es necesario actualizar la información en la pestaña DATOS PERSONALES, presione en el botón actualizar " +
                            "<button class='btn btn-sm btn-primary input-sm' > <i class='fa fa-refresh bigger-110'></i> </button>")
                    }

                }
            });*/
        }

        $('#btnconfirmar').on('click', function () {

            if(validaTelefonoCelular() == false) {
                return false;
            }

            form.submit();
        });

        $('#btnconfirmarnuevo').on('click', function () {

            if(validaTelefonoCelular() == false) {
                return false;
            }

            form.submit();
        });

        form.submit(function () {
             if (form.valid()) {
                $('[disabled]').removeAttr('disabled');
                $("#btnconfirmar").attr("disabled", true);
                $("#btnconfirmarnuevo").attr("disabled", true);

                 var delayInMilliseconds = 20000; //20 second
                 setTimeout(function() {
                     $("#btnconfirmar").attr("disabled", false);
                     $("#btnconfirmarnuevo").attr("disabled", false);
                 }, delayInMilliseconds);
            }
        });

        $('#btnlimpiar').on('click', function () {
            var validator = $("#formPaciente").validate();
            validator.resetForm();
            $('.tab-content ul.nav-tabs li:first a').trigger('click');
            limpiarAll(true);
        });

        $('.chosen-select').on('change', function () {
            var valor = $(this).val();
            if (valor != '') {
                $(this).valid();
            }
        });



        carga = false;

    });

    function buscarNoIdentificadoPaciente() {
        var tipo_iden_pa = tipoIdentificacion.val();
        var primer_ape_pa = apellidoPaterno.val();
        var segundo_ape_pa = apellidoMaterno.val() ? apellidoMaterno.val() : 0;
        var primer_nom_pa = primerNombre.val();
        var segundo_nom_pa = segundoNombre.val() ? segundoNombre.val() : 0;
        var fecha_nac_pa = fechaNacimiento.val() ? fechaNacimiento.val() :"";
        var pais_nac_pa = nacionalidad.val();
        var prov_nac_pa = provinciaNacimiento.val() ? provinciaNacimiento.val() : 0;
        var num_identi_pa=numeroIdentificacion.val();
        if(fecha_nac_pa!=""){
            $.ajax({
                type: 'POST',
                dataType: 'json',
                async: false,
                url: "{{ path('hcue_paciente_paciente_buscarnoidentificado') }}/" + tipo_iden_pa + "/" + primer_ape_pa + "/" + segundo_ape_pa + "/" + primer_nom_pa + "/" + segundo_nom_pa + "/" + fecha_nac_pa + "/" + pais_nac_pa + "/" + prov_nac_pa,
                before: function(){
                    $.processWait.show();
                },
                success: function (data) {
                    if(data){
                        if(data.numeroidentificacion!=num_identi_pa){
                            if(data.ispaciente==null){
                                $.confirm("Esta persona ya se encuentra registrado con la siguiente información: <br/><br/><strong>Código: </strong>" + data.numeroidentificacion + "<br/><strong>Nombres y Apellidos: </strong>" + data.nombrecompleto + "<br/><strong>Fecha de nacimiento: </strong>" + data.fechanacimiento + "<br/><strong>Nacionalidad: </strong>" + data.nacionalidad +"<br/><br/><strong>Desea usar los datos de esta persona para registrar el paciente?</strong><br/><br/><strong>Nota: </strong>En caso de NO coincidir esta información por favor alterne la información de los nombres", function (result) {
                                    if (result) {
                                        $('#paciente_persona_paciente_id').val(data.id);
                                    }
                                });
                            }
                            else{
                                $.alert("Ya existe un paciente con el mismo código no identificado: <br/><br/><strong>Código: </strong>" + data.numeroidentificacion + "<br/><strong>Nombres y Apellidos: </strong>" + data.nombrecompleto + "<br/><strong>Fecha de nacimiento: </strong>" + data.fechanacimiento + "<br/><strong>Nacionalidad: </strong>" + data.nacionalidad+"<br/></br><strong>Nota: </strong>Por favor modifique o cambie el orden de los nombres para evitar errores en el registro");
                            }

                        }
                    }
                    $.processWait.hide();
                }
            })
        }
    }
    $( document ).ready(function() {
        fechaNacimiento.change(function () {
            if(tipoIdentificacion.val() == "{{TIPOIDENTNOIDENTIFICADO}}") {
                buscarNoIdentificadoPaciente();
            }

        })
    });

</script>
